com.brightcove.player.model

## Enum PlaybackLocation

- java.lang.Object
- - java.lang.Enum<PlaybackLocation>
  - - com.brightcove.player.model.PlaybackLocation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PlaybackLocation>

      public enum PlaybackLocation
      extends java.lang.Enum<PlaybackLocation>

  Enum to depict the playback location state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOCAL` Local playback location.
    `REMOTE` Remote playback location.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PlaybackLocation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PlaybackLocation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL

          public static final PlaybackLocation LOCAL

      Local playback location.

    - #### REMOTE

          public static final PlaybackLocation REMOTE

      Remote playback location.

  - ### Method Detail

    - #### values

          public static PlaybackLocation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlaybackLocation c : PlaybackLocation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlaybackLocation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null